Get agent settings
Returns an agent’s settings (the settings its manifest declares, with values) for the organization or, with realm_id, a realm; without id, a summary for every agent. Secrets are masked unless you hold agents.reveal.
Requires a signed-in user token; with realm_id, a realm member (or higher) with the agents.view permission on that realm; with org_id, a role with the agents.view permission in that organization. With neither, the results are limited to what you can see.
POST
/
v1
/
agents
/
get_settings
Get agent settings
curl --request POST \
--url https://{host}/v1/agents/get_settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"org_id": "2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f",
"id": "5a6b7c8d-9e0f-4a1b-8c2d-3e4f5a6b7c8d",
"realm_id": "5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b"
}
'import requests
url = "https://{host}/v1/agents/get_settings"
payload = {
"org_id": "2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f",
"id": "5a6b7c8d-9e0f-4a1b-8c2d-3e4f5a6b7c8d",
"realm_id": "5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
org_id: '2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f',
id: '5a6b7c8d-9e0f-4a1b-8c2d-3e4f5a6b7c8d',
realm_id: '5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b'
})
};
fetch('https://{host}/v1/agents/get_settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/agents/get_settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'org_id' => '2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f',
'id' => '5a6b7c8d-9e0f-4a1b-8c2d-3e4f5a6b7c8d',
'realm_id' => '5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/agents/get_settings"
payload := strings.NewReader("{\n \"org_id\": \"2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f\",\n \"id\": \"5a6b7c8d-9e0f-4a1b-8c2d-3e4f5a6b7c8d\",\n \"realm_id\": \"5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/v1/agents/get_settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"org_id\": \"2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f\",\n \"id\": \"5a6b7c8d-9e0f-4a1b-8c2d-3e4f5a6b7c8d\",\n \"realm_id\": \"5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/agents/get_settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"org_id\": \"2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f\",\n \"id\": \"5a6b7c8d-9e0f-4a1b-8c2d-3e4f5a6b7c8d\",\n \"realm_id\": \"5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"data": {
"id": "5a6b7c8d-9e0f-4a1b-8c2d-3e4f5a6b7c8d",
"name": "jira-sync",
"values": {
"api_token": "••••a1b2",
"base_url": "https://acme.atlassian.net"
},
"all_required_configured": true
}
}
Authorizations
User PAT (cliq_tok_…, including session-scoped) or realm token (cliq_dt_…).
Body
application/json
⌘I
Get agent settings
curl --request POST \
--url https://{host}/v1/agents/get_settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"org_id": "2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f",
"id": "5a6b7c8d-9e0f-4a1b-8c2d-3e4f5a6b7c8d",
"realm_id": "5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b"
}
'import requests
url = "https://{host}/v1/agents/get_settings"
payload = {
"org_id": "2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f",
"id": "5a6b7c8d-9e0f-4a1b-8c2d-3e4f5a6b7c8d",
"realm_id": "5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
org_id: '2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f',
id: '5a6b7c8d-9e0f-4a1b-8c2d-3e4f5a6b7c8d',
realm_id: '5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b'
})
};
fetch('https://{host}/v1/agents/get_settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/agents/get_settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'org_id' => '2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f',
'id' => '5a6b7c8d-9e0f-4a1b-8c2d-3e4f5a6b7c8d',
'realm_id' => '5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/agents/get_settings"
payload := strings.NewReader("{\n \"org_id\": \"2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f\",\n \"id\": \"5a6b7c8d-9e0f-4a1b-8c2d-3e4f5a6b7c8d\",\n \"realm_id\": \"5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/v1/agents/get_settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"org_id\": \"2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f\",\n \"id\": \"5a6b7c8d-9e0f-4a1b-8c2d-3e4f5a6b7c8d\",\n \"realm_id\": \"5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/agents/get_settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"org_id\": \"2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f\",\n \"id\": \"5a6b7c8d-9e0f-4a1b-8c2d-3e4f5a6b7c8d\",\n \"realm_id\": \"5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"data": {
"id": "5a6b7c8d-9e0f-4a1b-8c2d-3e4f5a6b7c8d",
"name": "jira-sync",
"values": {
"api_token": "••••a1b2",
"base_url": "https://acme.atlassian.net"
},
"all_required_configured": true
}
}